curl --request GET \
--url https://a.api.mindset.ai/api/v2/appuid/{appUid}/agents/uid/{uid} \
--header 'x-api-key: <api-key>'import requests
url = "https://a.api.mindset.ai/api/v2/appuid/{appUid}/agents/uid/{uid}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://a.api.mindset.ai/api/v2/appuid/{appUid}/agents/uid/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "<string>",
"agentName": "<string>",
"agentPurpose": "<string>",
"personality": {
"preset": "friendly",
"customText": "<string>"
},
"formatting": {
"preset": "conversational",
"customText": "<string>"
},
"policies": {
"focusAndScope": {
"enabled": false,
"scope": "<string>"
},
"knowledgeLimits": {
"enabled": false,
"themeSpecificAllowance": "<string>"
},
"nonContextSegmentMessage": {
"enabled": false,
"message": "<string>"
},
"clarification": {
"enabled": false
},
"recommendations": {
"enabled": false
},
"neutrality": {
"enabled": false
},
"professionalConduct": {
"enabled": false
},
"legalFinancial": {
"enabled": false
},
"safeguarding": {
"enabled": false,
"email": "jsmith@example.com"
},
"feedback": {
"enabled": false
}
},
"additionalPolicyRules": "<string>",
"additionalInformation": "<string>",
"iceBreakerMessage": "<string>",
"memory": {
"allowAccess": false,
"allowContribution": false,
"miningGuidance": "<string>"
},
"options": {
"showSourceContent": false,
"sourceDisplayStyle": "compact",
"sourceCardType": "segments",
"showSpeakers": false,
"showFollowUpQuestions": false,
"showCitations": false,
"showQuickReplies": true
},
"live": true,
"showPromptLibrary": true,
"contextUids": [
"<string>"
],
"mcpserverUids": [
"<string>"
],
"planUids": [
"<string>"
],
"skillUids": [
"<string>"
],
"tags": [
"<string>"
],
"access": "openAccess",
"externalTenantId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}This response has no body data.This response has no body data.This response has no body data.Retrieve an agent by UID
Authorizations
Path Parameters
Your application's uid
1Unique ID of the agent
Response
Successful retrieval
Unique ID of the agent
Name of the agent
Purpose of the agent
Agent personality configuration
Show child attributes
Show child attributes
Agent response formatting configuration
Show child attributes
Show child attributes
Agent policy configuration with 10 toggleable policies
Show child attributes
Show child attributes
Additional free-form policy rules
Additional context information for the agent
Invisible instruction to prompt the agent to greet users in a specific way
Agent memory configuration. Note: Memory access must be enabled at the app level for these settings to take effect.
Show child attributes
Show child attributes
SDK3 display options. Only present for apps with SDK3 enabled (labsSDKV3Beta: true).
Show child attributes
Show child attributes
Agent is active and live for end users
Show prompt library in SDK UI
Array of context UIDs
Array of MCP server UIDs
Array of plan UIDs (max 20)
20Array of skill UIDs (max 20)
20Array of tags
Access control mode
openAccess, restrictedAccess External tenant identifier
Creation timestamp (ISO 8601)